
CoCoALib - Feature #304

Module ordering and grading (and shifts)

11 Feb 2013 15:59 - Anna Maria Bigatti

Status: Closed Start date: 11 Feb 2013

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 15.00 hours

Target version: CoCoALib-0.99534 Seoul14 Spent time: 11.50 hours

Description

Set the interface for ordering and grading (and then shifts)

Add tests and examples.

Port to CoCoA5

Related issues:

Related to CoCoA-5 - Feature #200: add modules and module operations Closed 29 Jun 2012

Related to CoCoALib - Design #297: Modules design: brainstorming In Progress 25 Jan 2013

Related to CoCoALib - Design #305: FreeModule: unique copy? In Progress 12 Feb 2013

History

#1 - 11 Feb 2013 18:31 - Anna Maria Bigatti

Now the function NewFreeModule(R, n) calls NewGradedFreeModule(R, n) when R is a polynomial ring (more precisely a SparsePolyRing).

The only relevant function now (just to see it works ;-) is

IsHomog for a MODULEELEM (working only if Rn is a graded free module)

#2 - 12 Feb 2013 10:55 - Anna Maria Bigatti

- Category set to New Function

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- Priority changed from Normal to High

- % Done changed from 0 to 20

#3 - 17 May 2013 18:44 - Anna Maria Bigatti

major rewriting in progress

#4 - 17 May 2013 19:27 - Anna Maria Bigatti

compiles and runs: I'll check on Monday if it gives the correct result ;-)

#5 - 28 May 2013 08:59 - Anna Maria Bigatti

- % Done changed from 20 to 40

fixed bug on shifts

added test

CVS'ed

#6 - 01 Aug 2013 12:11 - Anna Maria Bigatti
- Subject changed from Module ordering and grading to Module ordering and grading (and shifts)

- % Done changed from 40 to 60

#7 - 29 Oct 2013 13:47 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.9953 to CoCoALib-0.99532

#8 - 01 Apr 2014 19:13 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#9 - 08 Apr 2014 18:15 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#10 - 14 Jul 2014 18:22 - Anna Maria Bigatti

- % Done changed from 60 to 70

- Estimated time set to 15.00 h

I made some tests (and checked with Hilbert series) and it seems that shifts are done and OK.  Added some documentation.

#11 - 31 Jul 2014 15:01 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

I think it is all done (naive resolutions work).

If some wrong aspect arises it'll become a new specific issue.
